%global pypi_name Pillow
%global pkgname pillow

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:          python%{?component_prefix}-%{pkgname}
Version:       9.4.0
Release:       1%{?dist}
Summary:       Python Imaging Library

License:       MIT
URL:           https://github.com/python-pillow/Pillow
Source0:       %{pypi_name}-%{version}.tar.gz
BuildArch:     x86_64

BuildRequires: gcc
BuildRequires: libjpeg-devel
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: zlib-devel

%description
The Python Imaging Library adds image processing capabilities to your
Python interpreter.
This library provides extensive file format support, an efficient internal
representation, and fairly powerful image processing capabilities.
The core image library is designed for fast access to data stored in a few
basic pixel formats. It should provide a solid foundation for a general image
processing tool.

%package -n python%{python3_pkgversion}-%{pkgname}

Summary:       Python Imaging Library

Provides:      python%{python3_pkgversion}-imaging = %{version}-%{release}

%description -n python%{python3_pkgversion}-%{pkgname}
The Python Imaging Library adds image processing capabilities to your
Python interpreter.
This library provides extensive file format support, an efficient internal
representation, and fairly powerful image processing capabilities.
The core image library is designed for fast access to data stored in a few
basic pixel formats. It should provide a solid foundation for a general image
processing tool.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pkgname}
%{python3_sitearch}/PIL
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%license LICENSE
%doc CHANGES.rst README.md

%changelog
* Mon Jan 23 2023 Satoe Imaishi <simaishi@redhat.com> 9.4.0-1
- Update to 9.4.0

* Fri Mar 25 2022 Dimitri Savineau <dsavinea@redhat.com> - 8.1.2-1
- Initial package
